# Class CIM_VLANEndpointSettingData
extends CIM_SettingData

The VLAN configuration data for an endpoint. Note that certain properties only apply based on the value in the VLANEndpoint. OperationalEndpointMode property. If it is set to trunking mode then NativeVLAN, PruneEligibleVLANList, DefaultVLAN and TrunkedVLANList are applicable. If it is set to in access mode, then AccessVLAN is applicable. An instance of this class is associated to the endpoint to which it applies using ElementSettingData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_VLANEndpointSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The VLAN configuration data for an endpoint. Note that certain properties only apply based on the value in the VLANEndpoint. OperationalEndpointMode property. If it is set to trunking mode then NativeVLAN, PruneEligibleVLANList, DefaultVLAN and TrunkedVLANList are applicable. If it is set to in access mode, then AccessVLAN is applicable. An instance of this class is associated to the endpoint to which it applies using ElementSettingData.

UMLPackagePath | string | CIM::Network::VLAN
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AccessVLAN | uint16 |
Description | string | The access VLAN for the referenced VLANEndpoint.
ModelCorrespondence | string | CIM_VLANEndpoint.OperationalEndpointMode
Write | boolean | true
DefaultVLAN | uint16 |
Description | string | Default value for the native VLAN on this trunk endpoint/port. This property is applicable only when the endpoint is operating in trunking mode (determined by examining the OperationalEndpointMode property).
ModelCorrespondence | string | CIM_VLANEndpoint.OperationalEndpointMode
NativeVLAN | uint16 |
Description | string | VLAN Id that is used to tag untagged traffic received on this trunk endpoint/port. This property is applicable only when the endpoint is operating in trunking mode (determined by examining the SwitchEndpointMode property).
ModelCorrespondence | string | CIM_VLANEndpoint.OperationalEndpointMode
Write | boolean | true
PruneEligibleVLANList | uint16[] |
Description | string | If a VLAN Id is part of this array, then the system MAY prune that VLAN on the related trunk endpoint/port. This property is applicable only when the endpoint is operating in trunking mode (determined by examining the OperationalEndpointMode property).
ModelCorrespondence | string | CIM_VLANEndpoint.OperationalEndpointMode
Write | boolean | true
TrunkedVLANList | uint16[] |
Description | string | If a VLAN Id is part of this array, then the system MAY trunk the traffic on the related endpoint/port. This property is applicable only when the endpoint is operating in trunking mode (determined by examining the OperationalEndpointMode property).
ModelCorrespondence | string | CIM_VLANEndpoint.OperationalEndpointMode
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods